IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/28
Addresses2^100
/64 networks2^36
- Network
2002:820::/28- First address
2002:820::- Last address
2002:82f:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,267,650,600,228,229,401,496,703,205,376 (2^100)
- /64 networks (LANs)
- 68,719,476,736 (2^36)
- Full form
2002:0820:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
2.8.0.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:820::/28 makes 65,536 subnets of /44; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:820::/44 | 2002:820:f:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:820:10::/44 | 2002:820:1f:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:820:20::/44 | 2002:820:2f:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:820:30::/44 | 2002:820:3f:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:820:40::/44 | 2002:820:4f:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:820:50::/44 | 2002:820:5f:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:820:60::/44 | 2002:820:6f:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:820:70::/44 | 2002:820:7f:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:820:80::/44 | 2002:820:8f:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:820:90::/44 | 2002:820:9f:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:820:a0::/44 | 2002:820:af:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:820:b0::/44 | 2002:820:bf:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:820:c0::/44 | 2002:820:cf:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:820:d0::/44 | 2002:820:df:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:820:e0::/44 | 2002:820:ef:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:820:f0::/44 | 2002:820:ff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:820:100::/44 | 2002:820:10f:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:820:110::/44 | 2002:820:11f:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:820:120::/44 | 2002:820:12f:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:820:130::/44 | 2002:820:13f:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:820:140::/44 | 2002:820:14f:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:820:150::/44 | 2002:820:15f:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:820:160::/44 | 2002:820:16f:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:820:170::/44 | 2002:820:17f:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:820:180::/44 | 2002:820:18f:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:820:190::/44 | 2002:820:19f:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:820:1a0::/44 | 2002:820:1af:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:820:1b0::/44 | 2002:820:1bf:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:820:1c0::/44 | 2002:820:1cf:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:820:1d0::/44 | 2002:820:1df:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:820:1e0::/44 | 2002:820:1ef:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:820:1f0::/44 | 2002:820:1ff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:820:200::/44 | 2002:820:20f:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:820:210::/44 | 2002:820:21f:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:820:220::/44 | 2002:820:22f:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:820:230::/44 | 2002:820:23f:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:820:240::/44 | 2002:820:24f:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:820:250::/44 | 2002:820:25f:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:820:260::/44 | 2002:820:26f:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:820:270::/44 | 2002:820:27f:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:820:280::/44 | 2002:820:28f:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:820:290::/44 | 2002:820:29f:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:820:2a0::/44 | 2002:820:2af:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:820:2b0::/44 | 2002:820:2bf:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:820:2c0::/44 | 2002:820:2cf:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:820:2d0::/44 | 2002:820:2df:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:820:2e0::/44 | 2002:820:2ef:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:820:2f0::/44 | 2002:820:2ff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:820:300::/44 | 2002:820:30f:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:820:310::/44 | 2002:820:31f:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:820:320::/44 | 2002:820:32f:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:820:330::/44 | 2002:820:33f:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:820:340::/44 | 2002:820:34f:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:820:350::/44 | 2002:820:35f:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:820:360::/44 | 2002:820:36f:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:820:370::/44 | 2002:820:37f:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:820:380::/44 | 2002:820:38f:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:820:390::/44 | 2002:820:39f:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:820:3a0::/44 | 2002:820:3af:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:820:3b0::/44 | 2002:820:3bf:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:820:3c0::/44 | 2002:820:3cf:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:820:3d0::/44 | 2002:820:3df:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:820:3e0::/44 | 2002:820:3ef:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:820:3f0::/44 | 2002:820:3ff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:820:400::/44 | 2002:820:40f:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:820:410::/44 | 2002:820:41f:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:820:420::/44 | 2002:820:42f:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:820:430::/44 | 2002:820:43f:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:820:440::/44 | 2002:820:44f:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:820:450::/44 | 2002:820:45f:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:820:460::/44 | 2002:820:46f:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:820:470::/44 | 2002:820:47f:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:820:480::/44 | 2002:820:48f:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:820:490::/44 | 2002:820:49f:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:820:4a0::/44 | 2002:820:4af:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:820:4b0::/44 | 2002:820:4bf:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:820:4c0::/44 | 2002:820:4cf:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:820:4d0::/44 | 2002:820:4df:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:820:4e0::/44 | 2002:820:4ef:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:820:4f0::/44 | 2002:820:4ff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:820:500::/44 | 2002:820:50f:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:820:510::/44 | 2002:820:51f:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:820:520::/44 | 2002:820:52f:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:820:530::/44 | 2002:820:53f:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:820:540::/44 | 2002:820:54f:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:820:550::/44 | 2002:820:55f:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:820:560::/44 | 2002:820:56f:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:820:570::/44 | 2002:820:57f:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:820:580::/44 | 2002:820:58f:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:820:590::/44 | 2002:820:59f:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:820:5a0::/44 | 2002:820:5af:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:820:5b0::/44 | 2002:820:5bf:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:820:5c0::/44 | 2002:820:5cf:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:820:5d0::/44 | 2002:820:5df:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:820:5e0::/44 | 2002:820:5ef:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:820:5f0::/44 | 2002:820:5ff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:820:600::/44 | 2002:820:60f:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:820:610::/44 | 2002:820:61f:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:820:620::/44 | 2002:820:62f:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:820:630::/44 | 2002:820:63f:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:820:640::/44 | 2002:820:64f:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:820:650::/44 | 2002:820:65f:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:820:660::/44 | 2002:820:66f:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:820:670::/44 | 2002:820:67f:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:820:680::/44 | 2002:820:68f:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:820:690::/44 | 2002:820:69f:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:820:6a0::/44 | 2002:820:6af:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:820:6b0::/44 | 2002:820:6bf:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:820:6c0::/44 | 2002:820:6cf:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:820:6d0::/44 | 2002:820:6df:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:820:6e0::/44 | 2002:820:6ef:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:820:6f0::/44 | 2002:820:6ff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:820:700::/44 | 2002:820:70f:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:820:710::/44 | 2002:820:71f:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:820:720::/44 | 2002:820:72f:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:820:730::/44 | 2002:820:73f:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:820:740::/44 | 2002:820:74f:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:820:750::/44 | 2002:820:75f:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:820:760::/44 | 2002:820:76f:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:820:770::/44 | 2002:820:77f:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:820:780::/44 | 2002:820:78f:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:820:790::/44 | 2002:820:79f:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:820:7a0::/44 | 2002:820:7af:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:820:7b0::/44 | 2002:820:7bf:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:820:7c0::/44 | 2002:820:7cf:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:820:7d0::/44 | 2002:820:7df:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:820:7e0::/44 | 2002:820:7ef:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:820:7f0::/44 | 2002:820:7ff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:820:800::/44 | 2002:820:80f:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:820:810::/44 | 2002:820:81f:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:820:820::/44 | 2002:820:82f:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:820:830::/44 | 2002:820:83f:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:820:840::/44 | 2002:820:84f:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:820:850::/44 | 2002:820:85f:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:820:860::/44 | 2002:820:86f:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:820:870::/44 | 2002:820:87f:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:820:880::/44 | 2002:820:88f:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:820:890::/44 | 2002:820:89f:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:820:8a0::/44 | 2002:820:8af:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:820:8b0::/44 | 2002:820:8bf:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:820:8c0::/44 | 2002:820:8cf:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:820:8d0::/44 | 2002:820:8df:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:820:8e0::/44 | 2002:820:8ef:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:820:8f0::/44 | 2002:820:8ff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:820:900::/44 | 2002:820:90f:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:820:910::/44 | 2002:820:91f:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:820:920::/44 | 2002:820:92f:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:820:930::/44 | 2002:820:93f:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:820:940::/44 | 2002:820:94f:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:820:950::/44 | 2002:820:95f:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:820:960::/44 | 2002:820:96f:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:820:970::/44 | 2002:820:97f:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:820:980::/44 | 2002:820:98f:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:820:990::/44 | 2002:820:99f:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:820:9a0::/44 | 2002:820:9af:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:820:9b0::/44 | 2002:820:9bf:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:820:9c0::/44 | 2002:820:9cf:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:820:9d0::/44 | 2002:820:9df:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:820:9e0::/44 | 2002:820:9ef:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:820:9f0::/44 | 2002:820:9ff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:820:a00::/44 | 2002:820:a0f:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:820:a10::/44 | 2002:820:a1f:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:820:a20::/44 | 2002:820:a2f:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:820:a30::/44 | 2002:820:a3f:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:820:a40::/44 | 2002:820:a4f:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:820:a50::/44 | 2002:820:a5f:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:820:a60::/44 | 2002:820:a6f:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:820:a70::/44 | 2002:820:a7f:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:820:a80::/44 | 2002:820:a8f:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:820:a90::/44 | 2002:820:a9f:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:820:aa0::/44 | 2002:820:aaf:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:820:ab0::/44 | 2002:820:abf:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:820:ac0::/44 | 2002:820:acf:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:820:ad0::/44 | 2002:820:adf:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:820:ae0::/44 | 2002:820:aef:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:820:af0::/44 | 2002:820:aff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:820:b00::/44 | 2002:820:b0f:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:820:b10::/44 | 2002:820:b1f:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:820:b20::/44 | 2002:820:b2f:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:820:b30::/44 | 2002:820:b3f:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:820:b40::/44 | 2002:820:b4f:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:820:b50::/44 | 2002:820:b5f:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:820:b60::/44 | 2002:820:b6f:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:820:b70::/44 | 2002:820:b7f:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:820:b80::/44 | 2002:820:b8f:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:820:b90::/44 | 2002:820:b9f:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:820:ba0::/44 | 2002:820:baf:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:820:bb0::/44 | 2002:820:bbf:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:820:bc0::/44 | 2002:820:bcf:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:820:bd0::/44 | 2002:820:bdf:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:820:be0::/44 | 2002:820:bef:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:820:bf0::/44 | 2002:820:bff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:820:c00::/44 | 2002:820:c0f:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:820:c10::/44 | 2002:820:c1f:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:820:c20::/44 | 2002:820:c2f:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:820:c30::/44 | 2002:820:c3f:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:820:c40::/44 | 2002:820:c4f:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:820:c50::/44 | 2002:820:c5f:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:820:c60::/44 | 2002:820:c6f:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:820:c70::/44 | 2002:820:c7f:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:820:c80::/44 | 2002:820:c8f:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:820:c90::/44 | 2002:820:c9f:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:820:ca0::/44 | 2002:820:caf:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:820:cb0::/44 | 2002:820:cbf:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:820:cc0::/44 | 2002:820:ccf:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:820:cd0::/44 | 2002:820:cdf:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:820:ce0::/44 | 2002:820:cef:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:820:cf0::/44 | 2002:820:cff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:820:d00::/44 | 2002:820:d0f:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:820:d10::/44 | 2002:820:d1f:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:820:d20::/44 | 2002:820:d2f:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:820:d30::/44 | 2002:820:d3f:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:820:d40::/44 | 2002:820:d4f:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:820:d50::/44 | 2002:820:d5f:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:820:d60::/44 | 2002:820:d6f:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:820:d70::/44 | 2002:820:d7f:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:820:d80::/44 | 2002:820:d8f:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:820:d90::/44 | 2002:820:d9f:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:820:da0::/44 | 2002:820:daf:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:820:db0::/44 | 2002:820:dbf:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:820:dc0::/44 | 2002:820:dcf:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:820:dd0::/44 | 2002:820:ddf:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:820:de0::/44 | 2002:820:def:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:820:df0::/44 | 2002:820:dff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:820:e00::/44 | 2002:820:e0f:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:820:e10::/44 | 2002:820:e1f:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:820:e20::/44 | 2002:820:e2f:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:820:e30::/44 | 2002:820:e3f:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:820:e40::/44 | 2002:820:e4f:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:820:e50::/44 | 2002:820:e5f:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:820:e60::/44 | 2002:820:e6f:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:820:e70::/44 | 2002:820:e7f:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:820:e80::/44 | 2002:820:e8f:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:820:e90::/44 | 2002:820:e9f:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:820:ea0::/44 | 2002:820:eaf:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:820:eb0::/44 | 2002:820:ebf:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:820:ec0::/44 | 2002:820:ecf:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:820:ed0::/44 | 2002:820:edf:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:820:ee0::/44 | 2002:820:eef:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:820:ef0::/44 | 2002:820:eff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:820:f00::/44 | 2002:820:f0f:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:820:f10::/44 | 2002:820:f1f:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:820:f20::/44 | 2002:820:f2f:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:820:f30::/44 | 2002:820:f3f:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:820:f40::/44 | 2002:820:f4f:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:820:f50::/44 | 2002:820:f5f:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:820:f60::/44 | 2002:820:f6f:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:820:f70::/44 | 2002:820:f7f:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:820:f80::/44 | 2002:820:f8f:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:820:f90::/44 | 2002:820:f9f:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:820:fa0::/44 | 2002:820:faf:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:820:fb0::/44 | 2002:820:fbf:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:820:fc0::/44 | 2002:820:fcf:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:820:fd0::/44 | 2002:820:fdf:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:820:fe0::/44 | 2002:820:fef:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:820:ff0::/44 | 2002:820:fff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |